Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454281 - evince crashes frequently
Summary: evince crashes frequently
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 9
Hardware: x86_64
OS: Linux
low
high
Target Milestone: ---
Assignee: Kristian Høgsberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-07 14:03 UTC by Joel Uckelman
Modified: 2009-07-06 18:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-06 18:14:36 UTC


Attachments (Terms of Use)

Description Joel Uckelman 2008-07-07 14:03:47 UTC
Description of problem:

When working with large (300+ page) PDFs produced by pdfLaTeX, evince crashes
after a few minutes of paging back and forth. 

Version-Release number of selected component (if applicable):

evince-2.22.2-1.fc9.x86_64

How reproducible:

Intermittently.

Steps to Reproduce:
1. Open a large PDF.
2. Use PgUp, PgDown to navigate around the PDF.
  
Actual results:

After a few minutes, evince crashes.


Expected results:

evince should not crash, regardless of how broken the PDF is.


Additional info:

I can provide the PDF in question if necessary---it's a book I'm editing,
so I can't just post it here---though the problem isn't really specific
to this PDF. It seems like any largish PDF is sufficient to trigger a
crash.

Please let me know what additional info is needed. This problem makes
evince almost unusable for me, and I spend a *lot* of time creating
and reading PDFs.

Comment 1 Joel Uckelman 2008-07-07 14:08:45 UTC
BTW, the version of evince in Fedora 8, which 2.20.2-1.fc8, crashed for me
sometimes, but not with anywhere near the frequency that this version does.

Comment 2 Joel Uckelman 2008-12-15 13:10:24 UTC
evince in Fedora 10 (2.24.2-1.fc10) seems to be much more stable than evince in Fedora 9 (2.22.2-1.fc9).

Comment 3 Bug Zapper 2009-06-10 01:57:58 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Joel Uckelman 2009-07-06 18:14:36 UTC
I'm closing this bug, since this problem seems wholly fixed in Fedora 11.


Note You need to log in before you can comment on or make changes to this bug.